Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Member Functions | List of all members
cutlass::gemm::GemmGlobalIteratorAb< TileTraits_, Index_ >::Params Struct Reference

`#include <gemm_global_tile.h>`

Inheritance diagram for cutlass::gemm::GemmGlobalIteratorAb< TileTraits_, Index_ >::Params:

## Public Member Functions
CUTLASS_HOST_DEVICE int | initialize (Scalar const *ptr, Index stride_d, Index stride_h)
| Initializes params to load a strip-mined tile, given pointer and stride_h. More...
Public Member Functions inherited from cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params
CUTLASS_HOST_DEVICE | Params ()
| Initialize params to access storage object. More...
CUTLASS_HOST_DEVICE | Params (Scalar const *ptr)
| Initialize params to access storage object. More...
CUTLASS_HOST_DEVICE | Params (TensorRef const &ref)
| Constructs with a CompactTensorRef<> More...
CUTLASS_HOST_DEVICE | Params (Scalar const *ptr, Index _stride_d, Index _stride_h, Index _stride_w, Index _inc_d, Index _inc_h, Index _inc_w, Index _inc_advance)
| Initialize params to access storage object. More...
CUTLASS_HOST_DEVICE | Params (Scalar const *ptr, Index stride_d, Index stride_h, Index stride_w)
| Initialize params to access storage object. More...
CUTLASS_HOST_DEVICE int | initialize (TensorRef const &ref)
| Initializes params to access a raw pointer. More...
CUTLASS_HOST_DEVICE int | initialize (SharedStorage const &storage)
| Initialize params to access storage object. More...
CUTLASS_HOST_DEVICE int | initialize (Scalar const *ptr)
| Initialize params to access storage object. More...
CUTLASS_HOST_DEVICE int | initialize (Scalar const *ptr, Index stride_d, Index stride_h, Index stride_w)
| Initializes params to access a raw pointer. More...
CUTLASS_HOST_DEVICE int | initialize (Scalar const *ptr, Index _stride_d, Index _stride_h, Index _stride_w, Index _inc_d, Index _inc_h, Index _inc_w, Index _inc_advance)
| Initializes params. More...
CUTLASS_HOST_DEVICE int | initialize ()
Public Member Functions inherited from cutlass::TileIteratorBase< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params
CUTLASS_HOST_DEVICE | Params ()
| Constructs params. More...
CUTLASS_HOST_DEVICE | Params (Index _stride_d, Index _stride_h, Index _stride_w, Index _inc_d, Index _inc_h, Index _inc_w, Index _inc_advance)
| Constructs params. More...
CUTLASS_HOST_DEVICE | Params (Coord< 4 > const &stride)
| Constructs params with a stride vector. More...
CUTLASS_HOST_DEVICE int | initialize (Index _stride_d, Index _stride_h, Index _stride_w, Index _inc_d, Index _inc_h, Index _inc_w, Index _inc_advance)
| Initializes params. More...
CUTLASS_HOST_DEVICE int | initialize (Coord< 4 > const &stride)
| Initializes the parameters object from a vector of strides. More...
CUTLASS_HOST_DEVICE int | initialize (Index _stride_d, Index _stride_h, Index _stride_w)
| Initializes the parameters object from a vector of strides. More...
CUTLASS_HOST_DEVICE int | initialize ()
| Gotta have this. More...

## Additional Inherited Members
Public Attributes inherited from cutlass::TileLoadIterator< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params
Scalar const * | pointer
| Pointer to memory. More...
Public Attributes inherited from cutlass::TileIteratorBase< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, FragmentElementType_, Skew_ >::Params
Index | stride_d
Index | stride_h
Index | stride_w
Index | inc_d
Index | inc_h
Index | inc_w
Index | inc_advance

## Member Function Documentation

## ◆ initialize()

template<typename TileTraits_ , typename Index_ = int>

CUTLASS_HOST_DEVICE int cutlass::gemm::GemmGlobalIteratorAb< TileTraits_, Index_ >::Params::initialize | ( | Scalar const * | ptr,
|  | Index | stride_d,
|  | Index | stride_h
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- gemm_global_tile.h